#990 Spurious pastes in random locations

None
closed-invalid
nobody
v1.22
5
2013-09-05
2013-08-28
V5234647
No

geany 1.22 (built on Jan 11 2013 with GTK 2.24.14, GLib 2.34.3) using Mageia 3

Infrequently, when selecting and pasting into C source, one or more identical pastes from an earlier edit in the same session is/are inserted at a random loction.

Related

Bugs: #990

Discussion

  • Anonymous - 2013-08-29

    You don't happen to be copying and pasting between the regular editor and the Split Window plugin pane are you? I often get weird spurious pastes because I've used Ctrl+C in the not-fully-functional Split Window pane and tried to paste it into the normal editor and it pastes some old thing from clipboard or copy from normal editor and try to paste into Split Window, it pastes into normal editor pane wherever the cursor happened to be.

     
  • V5234647

    V5234647 - 2013-08-30

    No, I seldom use Split Window. It's more likely selecting and pasting
    between tabs.

    On 28/08/13 10:58 PM, Matthew Brush wrote:

    You don't happen to be copying and pasting between the regular editor
    and the Split Window plugin pane are you? I often get weird spurious
    pastes because I've used Ctrl+C in the not-fully-functional Split
    Window pane and tried to paste it into the normal editor and it pastes
    some old thing from clipboard or copy from normal editor and try to
    paste into Split Window, it pastes into normal editor pane wherever
    the cursor happened to be.


    [bugs:#990] http://sourceforge.net/p/geany/bugs/990/ Spurious
    pastes in random locations

    Status: open
    Created: Wed Aug 28, 2013 12:59 PM UTC by V5234647
    Last Updated: Wed Aug 28, 2013 12:59 PM UTC
    Owner: nobody

    geany 1.22 (built on Jan 11 2013 with GTK 2.24.14, GLib 2.34.3) using
    Mageia 3

    Infrequently, when selecting and pasting into C source, one or more
    identical pastes from an earlier edit in the same session is/are
    inserted at a random loction.


    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/geany/bugs/990/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/subscriptions/

     

    Related

    Bugs: #990

  • V5234647

    V5234647 - 2013-09-03

    Now using geany 1.23.1 (built on May 24 2013 with GTK 2.24.18, GLib 2.36.2)

    I'm also getting random insertions from unrelated copy pastes, in the latest case from Konqueror search words. I haven't recognized a pattern yet and it's getting difficult to fish out stray pastes and guarantee that some will not pass into checked code. A stray word following a semi-colon in C code may not trigger a compile error or warning. Using Undo or diff helps a little but something is really wrong so I suggest bumping up the priority.

     
  • V5234647

    V5234647 - 2013-09-04

    Using Mageia 3 with KDE, running Geany while editing with the Kate editor (KDE's equivalent to Geany) induces the same kind of random pastes in the latter. However, when Geany is cancelled the problem disappears. It does seem as though, somehow, Geany interferes with the KDE clipboard manager (Klipper).

     
  • V5234647

    V5234647 - 2013-09-04

    Oops! More testing reveals that the last post was incorrect. It's definitely not Geany after all. The problem seems to be related to the mouse wheel, perhaps when scrolling too exuberantly thus accidentally pressing the mouse wheel. This bug should now be closed. Sorry.

     
  • Anonymous - 2013-09-05
    • labels: --> clipboard mouse wheel paste
    • status: open --> closed-invalid
     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

JavaScript is required for this form.





No, thanks